ClearOS Documentation

×

Warning

301 error for file:https://clearos.com/dokuwiki2/lib/exe/css.php?t=dokuwiki&tseed=82873f9c9a1f5784b951644363f20ef8

User Tools

Site Tools


CVE 2011-0419

'Stack consumption vulnerability in the fnmatch implementation in apr_fnmatch.c in the Apache Portable Runtime (APR) library before 1.4.3 and the Apache HTTP Server before 2.2.18, and in fnmatch.c in libc in NetBSD 5.1, OpenBSD 4.8, FreeBSD, Apple Mac OS X 10.6, Oracle Solaris 10, and Android, allows context-dependent attackers to cause a denial of service (CPU and memory consumption) via *? sequences in the first argument, as demonstrated by attacks against mod_autoindex in httpd.'

ClearCenter response

Short response

This issue was resolved in a backported fix. Current up to date versions not affected.

Long response

This issue was resolved in apr-1.2.7-11.el5_6.4 (ClearOS 5.x) and aapr-1.3.9-3.el6_0.1 (ClearOS 6.x). Current versions exceed this minor release.

Resolution

To validate that you are running apr-1.2.7-11.el5_6.4 (ClearOS 5.x) and apr-1.3.9-3.el6_0.1 (ClearOS 6.x) or later, run the following:

rpm -qi apr

If you need to update, run the following:

yum update
content/en_us/announcements_cve_cve-2011-0419.txt · Last modified: 2014/12/22 11:08 by dloper

https://clearos.com/dokuwiki2/lib/exe/indexer.php?id=content%3Aen_us%3Aannouncements_cve_cve-2011-0419&1563611026